from setuptools import setup, find_packages

setup(
    name='hyperspex',
    version='1.1',
    description='A Python package to help 3D hyperspectral data exploration through a Graphical User Interface.',
    url='https://github.com/AdrienR09/hyperspex',
    download_url='https://github.com/AdrienR09/hyperspex/archive/v_11.tar.gz',
    author='Adrien Rousseau',
    author_email='adrien.rousseau@umontpellier.fr',
    license='BSD 2-clause',
    packages=["hyperspex"],
    install_requires=['mpi4py>=2.0',
                    'sys',
                    'os',
                    'functools',
                    'lmfit',
                    'scipy',
                    'despike',
                    'numpy',
                    'qtpy',
                    'pyqtgraph',
                    'decimal',
                    'math',],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: BSD License',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
)